package com.rizla.android;

import com.rizla.android.R;

import android.os.Build;
import android.os.Bundle;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.Window;
import android.webkit.WebSettings;
import android.webkit.WebSettings.RenderPriority;
import android.webkit.WebView;

@SuppressLint("SetJavaScriptEnabled")
public class RizlaActivity extends Activity {
	
	protected WebView mWebView;
	
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		getWindow().requestFeature(Window.FEATURE_ACTION_BAR);
		getActionBar().hide();
		setContentView(R.layout.activity_rizla);
		
		mWebView = new WebView(this);
		mWebView.setWebChromeClient(new RizlaChromeClient()); 
		//mWebView.setWebViewClient(new RizlaWebViewClient(this));
		WebSettings webSettings = mWebView.getSettings();
		webSettings.setJavaScriptEnabled(true);
		webSettings.setRenderPriority(RenderPriority.HIGH);
		webSettings.setCacheMode(WebSettings.LOAD_NO_CACHE);
		mWebView.addJavascriptInterface(new RizlaWebInterface(this,mWebView), "Android");
		
		Intent intent= getIntent();
		String url;
		try{
			url = intent.getStringExtra("url");
			Log.d("URL", url);
		}catch(Exception e){
			Log.d("URL", "Démarrage de l'application");
			url = "index.html";
		}
		
		mWebView.loadUrl("file:///android_asset/www/src/"+url);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_rizla, menu);
		return true;
	}
}
