package com.rizla.android;

import java.util.Iterator;

import org.json.JSONException;
import org.json.JSONObject;

import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.View;
import android.widget.TextView;

public class RizlaCssEngine {

	private JSONObject style;
	
	public RizlaCssEngine(String style){
		try {
			this.style = new JSONObject(style);
		} catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	public void applyStyle(View v){
		Iterator<?> keys = style.keys();
        
        while( keys.hasNext() ){
            String key = (String)keys.next();
			try {
				Log.d(key,(String) style.get(key));
				if (key.equalsIgnoreCase("background-color")){
					this.backgroundColor(v,style.getString(key));
				}
			} catch (JSONException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
        }
	}
	
	public void applyStyle(TextView v){
        Iterator<?> keys = style.keys();
        
        while( keys.hasNext() ){
            String key = (String)keys.next();
			try {
				Log.d(key,(String) style.get(key));
				if (key.equalsIgnoreCase("color")){
					this.color(v,style.getString(key));
				}
				if (key.equalsIgnoreCase("background-color")){
					this.backgroundColor(v,style.getString(key));
				}
				if (key.equalsIgnoreCase("text-align")){
					this.textAlign(v,style.getString(key));
				}
			} catch (JSONException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

        }
	}
	
	public void color (TextView v, String color){
		if (color.equalsIgnoreCase("red")){
			v.setTextColor(Color.RED);
		} else if( color.equalsIgnoreCase("blue")){
			v.setTextColor(Color.BLUE);
		} else if( color.equalsIgnoreCase("black")){
			v.setTextColor(Color.BLACK);
		} else if( color.equalsIgnoreCase("gray")){
			v.setTextColor(Color.GRAY);
		} else if( color.equalsIgnoreCase("green")){
			v.setTextColor(Color.GREEN);
		} else if( color.equalsIgnoreCase("magenta")){
			v.setTextColor(Color.MAGENTA);
		} else if( color.equalsIgnoreCase("white")){
			v.setTextColor(Color.WHITE);
		} else if( color.equalsIgnoreCase("yellow")){
			v.setTextColor(Color.YELLOW);
		} else {
			/* a completer, les couleurs arrivent de la forme suivante :
			 * rgb(255, 255, 255)
			 */
		}
	}
	
	public void backgroundColor (View v, String color){
		if (color.equalsIgnoreCase("red")){
			v.setBackgroundColor(Color.RED);
		} else if( color.equalsIgnoreCase("blue")){
			v.setBackgroundColor(Color.BLUE);
		} else if( color.equalsIgnoreCase("black")){
			v.setBackgroundColor(Color.BLACK);
		} else if( color.equalsIgnoreCase("gray")){
			v.setBackgroundColor(Color.GRAY);
		} else if( color.equalsIgnoreCase("green")){
			v.setBackgroundColor(Color.GREEN);
		} else if( color.equalsIgnoreCase("magenta")){
			v.setBackgroundColor(Color.MAGENTA);
		} else if( color.equalsIgnoreCase("white")){
			v.setBackgroundColor(Color.WHITE);
		} else if( color.equalsIgnoreCase("yellow")){
			v.setBackgroundColor(Color.YELLOW);
		} else {
			/* a completer, les couleurs arrivent de la forme suivante :
			 * rgb(255, 255, 255)
			 */
		}
	}
	
	public void textAlign(TextView v, String orientation){
		if (orientation.equalsIgnoreCase("center")){
			v.setGravity(Gravity.CENTER);
		}
		if (orientation.equalsIgnoreCase("left")){
			v.setGravity(Gravity.LEFT);
		}
		if (orientation.equalsIgnoreCase("right")){
			v.setGravity(Gravity.RIGHT);
		}
	}
}
