package com.rizla.plugin.Accelerometer;

import org.json.JSONException;
import org.json.JSONObject;

import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.util.Log;
import android.webkit.WebView;

import com.rizla.android.Plugin;

public class Accelerometer extends Plugin{
	
	private String onChangeFunction;
	
	public Accelerometer(WebView mWebView, Context mContext) {
		super(mWebView, mContext);
	}

	private final SensorEventListener mSensorListener = new SensorEventListener() { 
		@Override
        public void onSensorChanged(SensorEvent se) 
        { 
            float x = se.values[0]; 
            float y = se.values[1]; 
            float z = se.values[2]; 
            execJS("("+onChangeFunction+").call(this,"+x+","+y+","+z+");");
        } 
 
		@Override
        public void onAccuracyChanged(Sensor sensor, int accuracy) {}

   };
   
	@Override
	public Object run(JSONObject options) {
		
		try {
			this.onChangeFunction = (String) options.get("onChange");
			SensorManager mSensorManager = (SensorManager)this.mContext.getSystemService(this.mContext.SENSOR_SERVICE); 
		    mSensorManager.registerListener(mSensorListener, mSensorManager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER), 
		    SensorManager.SENSOR_DELAY_NORMAL);
		    
		} catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	    
		return null;
	}

}
