package com.rizla.plugin.rizlaextra;

import org.json.JSONException;
import org.json.JSONObject;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.os.Build;
import android.support.v4.app.NotificationCompat;
import android.webkit.WebView;

import com.rizla.android.Plugin;
import com.rizla.android.RizlaActivity;

public class RizlaNotification extends Plugin{
	
	private NotificationManager mNotification;

	public RizlaNotification(WebView mWebView, Context mContext) {
		super(mWebView, mContext);
		mNotification = (NotificationManager) mContext.getSystemService(Context.NOTIFICATION_SERVICE);
	}

	@Override
	public Object run(JSONObject data) {
		try {
			String title = data.getString("title");
			String content = data.getString("content");
			createNotification(title,content);
		} catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		return null;
	}

	
	public void createNotification(String title, String content){

       Notification not = new NotificationCompat.Builder(mContext)
			.setWhen(System.currentTimeMillis())
			.setTicker(title)
			.setSmallIcon(android.R.drawable.ic_input_add)
			.setContentTitle(title)
			.setContentText(content)
			.setLights(0xff00ff00, 300, 100)
			//.setContentIntent(pendingIntent)
			.build();

        mNotification.notify(12, not);
        
	}
}
